<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>If</title>
  </head>
  <body>
    <script>
      // --------------------------------------------
      // ----- Ülesanne 1
      // --------------------------------------------
      // Mis väärtus prinditakse konsoolile?

      let a = 1
      if (a > 1) {
        a = 2
      }
      console.log(a)

      // --------------------------------------------
      // ----- Ülesanne 2
      // --------------------------------------------
      // Mis väärtus prinditakse konsoolile?

      let b = 2
      if (b > 1 || b - 2 == 0) {
        b = 22
      }
      console.log(b)

      // --------------------------------------------
      // ----- Ülesanne 3
      // --------------------------------------------
      // Mis väärtus prinditakse konsoolile?

      let c = 33
      if (c > 1 && c < 10) {
        c = 3
      }
      console.log(c)

      // --------------------------------------------
      // ----- Ülesanne 4
      // --------------------------------------------
      // Mis väärtus prinditakse konsoolile?

      let d = true
      if (!d) {
        d = 3
      }
      console.log(d)

      // --------------------------------------------
      // ----- Ülesanne 5
      // --------------------------------------------
      // Mis väärtus prinditakse konsoolile?

        let e = 5
        if (e === 1) {
          console.log('In order to write about life first you must live it.')
        } else if (e < 2) {
          console.log('Live for each second without hesitation.')
        } else if (e > 2 && e <= 3) {
          console.log('Live in the sunshine, swim the sea, drink the wild air.')
        } else if (e === 4) {
          console.log('Life is short, and it is here to be lived.')
        } else {
          console.log('Be happy for this moment. This moment is your life.')
        }

      // --------------------------------------------
      // ----- Ülesanne 6
      // --------------------------------------------
      // Mis väärtus prinditakse konsoolile?

        let f = 2
        switch (f) {
          case 1:
            console.log('In order to write about life first you must live it.')
            break
          case 2:
            console.log('Live for each second without hesitation.')
            break
          case 3:
            console.log('Live in the sunshine, swim the sea, drink the wild air.')
            break
          case 4:
            console.log('Life is short, and it is here to be lived.')
            break
          default:
            console.log('Be happy for this moment. This moment is your life.')
        }

      // --------------------------------------------
      // ----- Ülesanne 7
      // --------------------------------------------
      // Poodi tuli Kalle
      const person = { 
        name: 'Kalle', 
        yearOfBirth: 2002 
      }

      const currentYear = new Date().getFullYear()
      const kalleAge = currentYear - person.yearOfBirth

      if (kalleAge >= 18) {
        console.log('Kalle on täisealine, alkoholi ostmine lubatud')
      } else {
        console.log('Kallele kutsutakse vanemad järgi')
      }

      // Kalle tahab osta õllet. Kirjuta tingimuslause, mis kontrolliks, kas Kalle on täisealine.
      // Kui on, siis prindi ekraanile: 'Kalle on täisealine, alkoholi ostmine lubatud'
      // Kui kalle on alaealine, siis kirjuta: 'Kallele kutsutakse vanemad järgi'
      // Vihje: new Date().getFullYear()

      // Instruktsioon objekti loomiseks
      class Person {
        name = null
        dateOfBirth = null

        // constructor() {

        // }

        constructor(name, dateOfBirth) {
          this.name = name
          this.dateOfBirth = dateOfBirth
        }
      }

      const person2 = new Person('Kalle', 1990)

    </script>
  </body>
</html>
